Name:           wmcpuload
Version:        1.1.1
Release:        %mkrel 3
Summary:        Another dock application to monitor CPU usage
License:        GPLv2
Group:          Monitoring

URL:            http://www.dockapps.net/wmcpuload
Source0:        http://www.dockapps.net/download/%{name}-%{version}.tar.gz


BuildRequires:  grep
BuildRequires:  gawk
BuildRequires:  libtool-base
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)


%description
Wmcpuload is a WindowMaker dock application to monitor CPU
usage. The current usage is displayed as a percentile and a chart, and
has an LCD look-alike user interface. The back-light may be turned
on/off by clicking the mouse button over the application. If the CPU
usage hits a certain threshold, an alarm-mode will alert you by
turning back-light on.



%prep
%setup -q


%build
%configure
%make


%install
%make_install

%files
%doc AUTHORS README NEWS COPYING ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1518156
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1301684
- Mageia 7 Mass Rebuild

* Fri Jan 13 2017 eatdirt <eatdirt> 1.1.1-1.mga6
+ Revision: 1081493
- Upgrade to version 1.1.1

* Sat Feb 06 2016 umeabot <umeabot> 1.0.1-7.mga6
+ Revision: 940458
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 743693
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 690331
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 520136
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-3.mga3
+ Revision: 385726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.0.1-2.mga3
+ Revision: 314584
- Rebuild for mga3

* Mon Jan 30 2012 eatdirt <eatdirt> 1.0.1-1.mga2
+ Revision: 203451
- imported package wmcpuload


* Mon Jan 30 2012 Chris Ringeval <dirteat@gmail.com> 1.0.1-1.mga2
- Import wmcpuload

